Open SCAP Library: cpe_dict_model Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cpe_dict_model Struct Reference
CPE » CPE Dictionary

Structure representing a CPE dictionary. More...

`#include <cpe_dict.h>`

## Public Member Functions
void | cpe_dict_model_free (struct cpe_dict_model *dict)
struct cpe_dict_model * | cpe_dict_model_new (void)
void | cpe_dict_model_export (const struct cpe_dict_model *dict, const char *file)
| Write the dict_model to a file. More...
struct cpe_dict_model * | cpe_dict_model_import (const char *file)
| Load new CPE dictionary from file. More...
struct cpe_dict_model * | cpe_dict_model_import_source (struct oscap_source *source)
| Load new CPE dictionary from an oscap_source. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
int | cpe_dict_model_get_base_version (const struct cpe_dict_model *item)
| cpe_dict_model functions to get the base version from CPE dictionary model More...
bool | cpe_dict_model_set_base_version (struct cpe_dict_model *item, int base_version)
| cpe_dict_model functions to get the base version from CPE dictionary model More...
struct cpe_item_iterator * | cpe_dict_model_get_items (const struct cpe_dict_model *item)
| cpe_dict_model functions to get CPE items More...
struct cpe_vendor_iterator * | cpe_dict_model_get_vendors (const struct cpe_dict_model *item)
| cpe_dict_model functions to get vendors More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_dict_model_add_vendor (struct cpe_dict_model *dict, struct cpe_vendor *new_vendor)
Evaluators
const char * | cpe_dict_model_supported (void)
| Get the newest supported version of CPE dictionary XML. More...
bool | cpe_name_match_dict (struct cpe_name *cpe, struct cpe_dict_model *dict)
| Verify wether given CPE is known according to specified dictionary. More...
bool | cpe_name_match_dict_str (const char *cpe, struct cpe_dict_model *dict)
| Verify if CPE given by string is known according to specified dictionary. More...
bool | cpe_name_applicable_dict (struct cpe_name *cpe, struct cpe_dict_model *dict, cpe_check_fn cb, void *usr)
| Verify whether given CPE is applicable to current platform by evaluating checks associated with it. More...

## Data Fields
struct oscap_list * | items
struct oscap_list * | vendors
int | base_version
struct cpe_generator * | generator
char * | origin_file

## Detailed Description

Structure representing a CPE dictionary.

The documentation for this struct was generated from the following files:

- cpedict_priv.h
- cpe_dict.h